Skip to main content

Recent Trades List

Get recent trades for a symbol. By default, returns the latest 500 trades.

HTTP Request

  • GET /api/v3/trades

Weight(IP): 5

Request Parameters

NameTypeMandatoryDescriptionScope
symbolstringYESSymbol namee.g. BTCUSDT
limitintegerNONumber of results returnedDefault 500; max 1000

Response Parameters

NameDescription
idTrade id
pricePrice
qtyNumber
quoteQtyTrade total
timeTrade time
isBuyerMakerWas the buyer the maker?
isBestMatchWas the trade the best price match?
tradeTypeTrade type

Response

[
{
"id": null,
"price": "63530",
"qty": "0.00317906",
"quoteQty": "201.96568180",
"time": 1781226399689,
"isBuyerMaker": true,
"isBestMatch": true,
"tradeType": "ASK"
},
{
"id": null,
"price": "63530",
"qty": "0.00100644",
"quoteQty": "63.93913320",
"time": 1781226399688,
"isBuyerMaker": true,
"isBestMatch": true,
"tradeType": "ASK"
},
{
"id": null,
"price": "63529.99",
"qty": "0.00232318",
"quoteQty": "147.5916021682",
"time": 1781226399687,
"isBuyerMaker": true,
"isBestMatch": true,
"tradeType": "ASK"
}
]